Sisyphus repository
Last update: 9 july 2020 | SRPMs: 17697 | Visits: 18855914
en ru br
Maintainer: Anton Midyukov (maintainer)

 Information   Packages   Bugs and FR  Repocop 

Repocop messages:

package status test message
CanFestival-3-source-2015.08.03-alt2.noarch
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/src/CanFestival-3/configure: $ grep -A5 -B5 /tmp/ /usr/src/CanFestival-3/configure ########################################################################### if [ "$SUB_WX" = "" ]; then if which wx-config >/dev/null 2>&1; then echo -n "Testing wxWidgets compiles ..... [the rest of the message is skipped]
OpenBoard-1.5.4-alt1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
alterator-grub-0.14-alt1.x86_64
info
bin-permissions not executable file /usr/bin/grub-bootable not executable file /usr/bin/grub-disk not executable file /usr/bin/grub-md-list not executable file /usr/bin/grub-raid-boot
arm-none-eabi-binutils-2.32-alt1.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
arm-none-eabi-gcc-8.3.1-alt2.x86_64
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/x86_64/RPMS/arm-none-eabi-gcc-8.3.1-alt2.x86_64.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
arm-none-eabi-gcc-8.3.1-alt2.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-c++ /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-cpp /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-g++ /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-8.3.1 /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-ar /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-nm /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-ranlib /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov-dump /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov-tool /arm-none-eabi-gcc-buildroot-non-nano/usr/libexec/arm-none-eabi/include/c++/8.3.1/algorithm /arm-none-eabi-gcc-buildroot-non-nano/usr/libexec/arm-none-eabi/include/c++/8.3.1/any /arm-none-eabi-gcc-buildroot-non-na... [the rest of the message is skipped]
arm-none-eabi-gcc-8.3.1-alt2.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-c++ /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-cpp /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-g++ /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-8.3.1 /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-ar /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-nm /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcc-ranlib /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov-dump /arm-none-eabi-gcc-buildroot-non-nano/usr/bin/arm-none-eabi-gcov-tool /arm-none-eabi-gcc-buildroot-non-nano/usr/lib64/libcc1.la /arm-none-eabi-gcc-buildroot-non-nano/usr/lib64/libcc1.so /arm-none-eabi-gcc-buildroot-non-nano/usr/lib64/libcc1.so.0 /arm-none-eabi-gcc-buildroot-non-nano... [the rest of the message is skipped]
arm-none-eabi-gcc-8.3.1-alt2.x86_64
info
uncompressed-manpages Package contains uncompressed manual pages.
arm-none-eabi-gcc-c++-8.3.1-alt2.x86_64
info
uncompressed-manpages Package contains uncompressed manual pages.
bladerf-2.2.0-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
branding-alt-sisyphus-bootloader-20191026-alt1.x86_64
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-sisyphus-graphics-20191026-alt1.noarch
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-sisyphus-bootsplash-20191026-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/pixmaps/system-logo.png conflicts with the package branding-alt-server-bootsplash-9.1-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/pixmaps/system-logo.png conflicts with the package branding-alt-server-v-bootsplash-9.1-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/pixmaps/system-logo.png conflicts with the package branding-alt-spserver-bootsplash-8.2-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. File /usr/share/pixmaps/system-logo.png conflicts with the package branding-alt-spworkstation-bootsplash-8.2-alt2.noarch. Moreover, the packages have no explicit ... [the rest of the message is skipped]
branding-alt-sisyphus-release-20191026-alt1.noarch
warn
rpm-obsolete-self The package obsoletes itself. Must be an error in spec file. Please provide Obsoletes: with the valid value.
branding-alt-sisyphus-release-20191026-alt1.noarch
warn
rpm-filesystem-conflict-file-file File /etc/altlinux-release conflicts with the package altlinux-release-icarus-20160328-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-sisyphus-indexhtml-20191026-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-server-indexhtml-9.1-alt1.noarch, for example, /usr/share/applications/indexhtml.desktop (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package branding-alt-server-v-indexhtml-9.1-alt1.noarch, for example, /usr/share/applications/indexhtml.desktop (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package branding-alt-spserver-indexhtml-8.2-alt2.noarch, for example, /usr/share/applications/indexhtml.desktop (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using al... [the rest of the message is skipped]
branding-alt-sisyphus-notes-20191026-alt1.noarch
warn
rpm-filesystem-conflict-file-file Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package branding-alt-server-notes-9.1-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package branding-alt-server-v-notes-9.1-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package branding-alt-spserver-notes-8.2-alt2.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/alt-... [the rest of the message is skipped]
branding-alt-sisyphus-alterator-20191026-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-server-alterator-9.1-alt1.noarch, for example, /usr/share/alterator/design/images/attention.gif (16 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package branding-alt-server-v-alterator-9.1-alt1.noarch, for example, /usr/share/alterator/design/images/attention.gif (16 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package branding-alt-spserver-alterator-8.2-alt2.noarch, for example, /usr/share/alterator/design/images/attention.gif (16 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoi... [the rest of the message is skipped]
branding-alt-sisyphus-20191026-alt1.x86_64
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
brltty-5.6-alt3.x86_64
warn
systemd-but-no-native-init The package have native systemd file(s) but no SysV init scripts.
brltty-5.6-alt3.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
caffeine-ng-3.4.2-alt2.noarch
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/caffeine.desktop: error: value item "TrayIcon" in key "Categories" in group "Desktop Entry" is a reserved category, so a "OnlyShowIn" key must be included /usr/share/applications/caffeine.desktop: error: value "Utility;TrayIcon;DesktopUtility;" for key "Categories" in group "Desktop Entry" contains an unregistered value "DesktopUtility"; values extending the format should start with "X-"
caffeine-ng-3.4.2-alt2.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/caffeine.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
camotics-1.2.1-alt2.20191008.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/bin/planner conflicts with the package planner-0.14.6-alt3.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
chirp-20180707-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/chirp-20180707-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation
chirp-20180707-alt1.noarch
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
compat-libwxGTK3.0-gtk2-3.0.4-alt5.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
compat-libwxGTK3.1-gtk2-3.1.3-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
compton-5.1-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/compton.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
converseen-0.9.8.1-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/converseen.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
cpu-x-4.0.0-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/cpu-x.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
cura-4.6.1-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/cura.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
cutecom-0.51.0-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/cutecom.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
cutecom-0.51.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/cutecom.desktop: warning: boolean key "Terminal" in group "Desktop Entry" has value "0", which is deprecated: boolean values should be "false" or "true"
dynagen-0.11.0-alt2.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package python-module-configobj-5.0.6-alt1.1.1.noarch, for example, /usr/lib/python2.7/site-packages/configobj.py (6 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
elinks-0.12-alt0.12.5.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/locale.alias
elinks-0.12-alt0.12.5.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/locale.alias
faces-xface-1.7.7-alt7.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/faces.desktop: error: value "" for boolean key "Terminal" in group "Desktop Entry" contains invalid characters, boolean values must be "false" or "true" /usr/share/applications/faces.desktop: error: value "Network;Mail;" for key "Categories" in group "Desktop Entry" contains an unregistered value "Mail"; values extending the format should start with "X-"
faces-xface-1.7.7-alt7.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/faces.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
faces-xface-1.7.7-alt7.x86_64
warn
freedesktop-desktop-file-proposed-patch Please, apply the repocop patch for /usr/share/applications/faces.desktop.
far2l-2.0-alt3.89d986a.x86_64
info
symlink-extra-slash /usr/bin/far2l:This symlink contains two successive slashes (//) or ends with a slash (/). symlinks should be as short as possible.
faust2appls-0.9.90-alt3.1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/faust2au
firetools-0.9.52-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/firejail-ui.desktop: warning: value "Firejail configuration wizard" for key "Comment" in group "Desktop Entry" looks redundant with value "Firejail Configuration Wizard" of key "Name" /usr/share/applications/firejail-ui.desktop: hint: value item "Security" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Settings, or System
firetools-0.9.52-alt1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
flow-capture-0.1-alt3.noarch
info
missing-url Missing Url: in a package.
flow-capture-0.1-alt3.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
gnuradio-3.8.1.0-alt2.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/gnuradio-grc.desktop: hint: value item "HamRadio" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network, or Audio /usr/share/applications/gnuradio-grc.desktop: hint: value "Development;HamRadio;Science;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
gnuradio-3.8.1.0-alt2.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
gpredict-2.2.1-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/gpredict.desktop: hint: value "HamRadio;Science;Astronomy;Education;Network;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu /usr/share/applications/gpredict.desktop: hint: value "HamRadio;Science;Astronomy;Education;Network;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
gpredict-2.2.1-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
gpredict-2.2.1-alt1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
gr-osmosdr-0.2.0-alt2.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
green-recorder-3.2.2-alt2.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/green-recorder.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
green-recorder-3.2.2-alt2.noarch
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
guitarix-0.40.0-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
guitarix-0.40.0-alt1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
hackrf-2018.01.1-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
i-nex-7.6.0-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/i-nex-library.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt). Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/i-nex.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
i-nex-7.6.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/i-nex-library.desktop: hint: value "System;Utility;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu desktop-file-validate utility printed the following message(s): /usr/share/applications/i-nex.desktop: hint: value "System;Utility;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
i2c-tools-4.0-alt1.x86_64
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
image-analyzer-3.2.0-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/image-analyzer.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
image-analyzer-3.2.0-alt1.noarch
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
itpp-devel-4.3.1-alt3.1.x86_64
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/x86_64/RPMS/itpp-devel-4.3.1-alt3.1.x86_64.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
itpp-doc-4.3.1-alt3.1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
kazam-1.4.5-alt4.noarch
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/kazam.desktop: hint: value item "GNOME" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: GTK /usr/share/applications/kazam.desktop: warning: key "OnlyShowIn" in group "Desktop Action SSF" is deprecated /usr/share/applications/kazam.desktop: warning: key "OnlyShowIn" in group "Desktop Action SSA" is deprecated /usr/share/applications/kazam.desktop: warning: key "OnlyShowIn" in group "Desktop Action SSW" is deprecated /usr/share/applications/kazam.desktop: warning: key "OnlyShowIn" in group "Desktop Action Prefs" is deprecated
kicad-5.1.6-alt1.rc1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libkicad_3dsg.so but just /usr/lib64/libkicad_3dsg.so.2.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libkicad_3dsg.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libkicad_3dsg.so to \%files of kicad-5.1.6-alt1.rc1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
kicad-5.1.6-alt1.rc1.x86_64
info
bin-permissions not executable file /usr/bin/_cvpcb.kiface not executable file /usr/bin/_eeschema.kiface not executable file /usr/bin/_gerbview.kiface not executable file /usr/bin/_pcb_calculator.kiface not executable file /usr/bin/_pcbnew.kiface not executable file /usr/bin/_pl_editor.kiface
lgeneral-1.4.3-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lgeneral.desktop: warning: file contains lines that are not UTF-8 encoded. There is no guarantee the validator will correctly work. [Invalid UTF-8] /usr/share/applications/lgeneral.desktop: error: value "LGeneral ist eine rundenbasierte Engine fxfcr Strategiespiele und wurde stark von Panzer General inspiriert" for locale string key "Comment[de]" in group "Desktop Entry" contains invalid UTF-8 characters, locale string values should be encoded in UTF-8
lgeneral-1.4.3-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
libprogsreiserfs-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
libprogsreiserfs-debuginfo-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
libprogsreiserfs-devel-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
libprogsreiserfs-devel-static-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
libwxBase3.0-devel-debuginfo-3.0.4-alt5.x86_64
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/lib/debug/usr/bin/wxrc.debug is different from the same symlink in the package libwxGTK-devel-debuginfo-2.8.12-alt1.svn20131012.5.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/lib/debug/usr/bin/wxrc.debug is different from the same symlink in the package libwxBase3.1-devel-debuginfo-3.1.3-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
libwxBase3.1-devel-debuginfo-3.1.3-alt1.x86_64
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/lib/debug/usr/bin/wxrc.debug is different from the same symlink in the package libwxGTK-devel-debuginfo-2.8.12-alt1.svn20131012.5.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/lib/debug/usr/bin/wxrc.debug is different from the same symlink in the package libwxBase3.0-devel-debuginfo-3.0.4-alt5.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
linuxcnc-2.7.15-alt2.x86_64
warn
init-lsb /etc/rc.d/init.d/realtime: strange executable: neither lsb header nor chkconfig header aren't found. See http://www.altlinux.org/Services_Policy for details.
linuxcnc-2.7.15-alt2.x86_64
warn
init-condrestart /etc/rc.d/init.d/realtime: missing condrestart target. Note: alt-specific script %_sbindir/post_service (used in %post_service macro) depends on condrestart. It is wise to add condrestart anyway./etc/rc.d/init.d/realtime: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.
linuxcnc-2.7.15-alt2.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
linuxcnc-data-2.7.15-alt2.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
livecd-qemu-arch-0.6-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/register-qemu-ppc /usr/bin/register-qemu-armh /usr/bin/register-qemu-mipsel /usr/bin/register-qemu-aarch64 /usr/bin/register-qemu-riscv64 /usr/bin/register-qemu-ppc64le
livecd-setlocale-0.3.8-alt1.noarch
warn
init-lsb /etc/rc.d/init.d/livecd-setlocale: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
livecd-setlocale-0.3.8-alt1.noarch
info
missing-url Missing Url: in a package.
livecd-setlocale-0.3.8-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/livecd-setlocale
lmms-1.2.1-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/libqx11embedcontainer.a
lmms-1.2.1-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
lxde-common-0.99.2-alt4.noarch
info
beehive-log-non-strict-dependency-x86_64 lxde-common: non-strict dependency on lxde-settings-upstream
lxde-common-0.99.2-alt4.noarch
info
beehive-log-non-strict-dependency-i586 lxde-common: non-strict dependency on lxde-settings-upstream
lxde-common-0.99.2-alt4.noarch
info
symlink-extra-slash /etc/xdg/lxpanel/LXDE:This symlink contains two successive slashes (//) or ends with a slash (/). symlinks should be as short as possible.
lxqt-admin-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-admin-time.desktop: error: value "LXQt;Settings;DesktopSettings;Qt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-admin-user.desktop: error: value "LXQt;Settings;DesktopSettings;Qt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-"
lxqt-archiver-0.2.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/lxqt-archiver.desktop: warning: value "File Archiver" for key "Comment" in group "Desktop Entry" looks redundant with value "File Archiver" of key "GenericName" /usr/share/applications/lxqt-archiver.desktop: warning: value "Spr?vce archiv?" for key "Comment[cs]" in group "Desktop Entry" looks redundant with value "Spr?vce archiv?" of key "GenericName[cs]" /usr/share/applications/lxqt-archiver.desktop: warning: value "Dosya Ar?ivleyici" for key "Comment[tr]" in group "Desktop Entry" looks redundant with value "Dosya Ar?ivleyici" of key "GenericName[tr]"
lxqt-build-tools-0.7.0-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/lxqt-transupdate
lxqt-config-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-monitor.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;HardwareSettings;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-appearance.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" desktop-file-validate utility exited ... [the rest of the message is skipped]
lxqt-globalkeys-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-globalkeyshortcuts.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-"
lxqt-globalkeys-0.15.0-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
lxqt-notificationd-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-notificationd.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" /usr/share/applications/lxqt-config-notificationd.desktop: warning: value "Param?trage des notifications du bureau LXQt" for key "Comment[fr]" in group "Desktop Entry" looks redundant with value "Param?trage des notifications du bureau LXQt" of key "GenericName[fr]"
lxqt-powermanagement-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-powermanagement.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" /usr/share/applications/lxqt-config-powermanagement.desktop: warning: value "LXQt energiakezel?s be?ll?t?sa" for key "Comment[hu]" in group "Desktop Entry" looks redundant with value "LXQt energiakezel?s be?ll?t?sa" of key "GenericName[hu]" /usr/share/applications/lxqt-config-powermanagement.desktop: warning: value "Konfiguracja zarz?dzania energi?" for key "Comment[pl]" in group "Desktop Entry" looks redundant with value "Konfiguracja zarz?dzania energi?" of key "GenericName[pl]" /usr/share/applications/lxqt-config-powermanagement.desktop: warning: value "Defini??es do gestor de energia" for key "Comment[pt]" in group "Desktop Entry" looks redundant with value "Defi... [the rest of the message is skipped]
lxqt-session-0.15.0-alt1.x86_64
warn
freedesktop-desktop desktop-file-validate utility exited abnormally with the following message(s): /usr/share/applications/lxqt-config-session.desktop: error: value "Settings;DesktopSettings;Qt;LXQt;" for key "Categories" in group "Desktop Entry" contains an unregistered value "LXQt"; values extending the format should start with "X-" /usr/share/applications/lxqt-config-session.desktop: warning: value "Ustawienia sesji LXQt" for key "Comment[pl]" in group "Desktop Entry" looks redundant with value "Ustawienia sesji LXQt" of key "Name[pl]" /usr/share/applications/lxqt-config-session.desktop: warning: value "Nastavenie rel?cie prostredia LXQt" for key "Comment[sk]" in group "Desktop Entry" looks redundant with value "Nastavenie rel?cie prostredia LXQt" of key "GenericName[sk]"
mate-reduced-resource-0.1-alt1.noarch
info
missing-url Missing Url: in a package.
mate-tweak-18.04.14-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/es_419/LC_MESSAGES/mate-tweak.mo /usr/share/locale/zh-Hans/LC_MESSAGES/mate-tweak.mo
mate-tweak-18.04.14-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/es_419/LC_MESSAGES/mate-tweak.mo /usr/share/locale/zh-Hans/LC_MESSAGES/mate-tweak.mo
moneymanagerex-1.3.3-alt2.1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
mpir-3.0.0-alt5.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
ngspice-data-29-alt1.noarch
info
big-changelog Package contains big ChangeLog. Gzip it.
obconf-2.0.4-alt3.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
onboard-1.4.1-alt2.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/onboard-settings.desktop: hint: value "Settings;Accessibility;Utility;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
onboard-1.4.1-alt2.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
openbox-3.6.1-alt5.x86_64
info
beehive-log-non-strict-dependency-x86_64 openbox: non-strict dependency on openbox-base openbox: non-strict dependency on openbox-autostart libopenbox: non-strict dependency on openbox-theme-Clearlooks openbox-themes: non-strict dependency on openbox-theme-Artwiz-boxed openbox-themes: non-strict dependency on openbox-theme-Bear2 openbox-themes: non-strict dependency on openbox-theme-Clearlooks openbox-themes: non-strict dependency on openbox-theme-Clearlooks-3.4 openbox-themes: non-strict dependency on openbox-theme-Clearlooks-Olive openbox-themes: non-strict dependency on openbox-theme-Mikachu openbox-themes: non-strict dependency on openbox-theme-Natura openbox-themes: non-strict dependency on openbox-theme-Onyx openbox-themes: non-strict dependency on openbox-theme-Onyx-Citrus openbox-themes: non-strict dependency on openbox-theme-Orang openbox-themes: non-strict dependency on openbox-theme-Syscrash
openbox-3.6.1-alt5.x86_64
info
beehive-log-non-strict-dependency-i586 openbox: non-strict dependency on openbox-base openbox: non-strict dependency on openbox-autostart libopenbox: non-strict dependency on openbox-theme-Clearlooks openbox-themes: non-strict dependency on openbox-theme-Artwiz-boxed openbox-themes: non-strict dependency on openbox-theme-Bear2 openbox-themes: non-strict dependency on openbox-theme-Clearlooks openbox-themes: non-strict dependency on openbox-theme-Clearlooks-3.4 openbox-themes: non-strict dependency on openbox-theme-Clearlooks-Olive openbox-themes: non-strict dependency on openbox-theme-Mikachu openbox-themes: non-strict dependency on openbox-theme-Natura openbox-themes: non-strict dependency on openbox-theme-Onyx openbox-themes: non-strict dependency on openbox-theme-Onyx-Citrus openbox-themes: non-strict dependency on openbox-theme-Orang openbox-themes: non-strict dependency on openbox-theme-Syscrash
openbox-3.6.1-alt5.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /etc/X11/wmsession.d/11openbox-gnome /usr/share/gnome-session/sessions/openbox-gnome-fallback.session /usr/share/gnome-session/sessions/openbox-gnome.session /usr/share/xsessions/openbox-gnome.desktop /usr/share/xsessions/openbox-kde.desktop
openbox-3.6.1-alt5.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /etc/X11/wmsession.d/11openbox-gnome /usr/share/gnome-session/sessions/openbox-gnome-fallback.session /usr/share/gnome-session/sessions/openbox-gnome.session /usr/share/xsessions/openbox-gnome.desktop /usr/share/xsessions/openbox-kde.desktop
openntpd-3.9p1-alt14.x86_64
warn
init-lsb /etc/rc.d/init.d/ntpd: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
openscada-Archive.DBArch-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Archive.FSArch-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.AMRDevs-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.BFN-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.BlockCalc-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.Comedi-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.DAQGate-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.DCON-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.JavaLikeCalc-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.LogicLev-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.MMS-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.ModBus-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.OPC_UA-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.SNMP-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.Siemens-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.SoundCard-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DAQ.System-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DB.DBF-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DB.FireBird-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DB.PostgreSQL-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-DB.SQLite-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Model.AGLKS-0.9.1-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/openscada_AGLKS.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
openscada-Model.AGLKS-0.9.1-alt1.noarch
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/openscada_AGLKS.desktop: hint: value "Graphics;Development;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
openscada-Model.Boiler-0.9.1-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/openscada_Boiler.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
openscada-Model.Boiler-0.9.1-alt1.noarch
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/openscada_Boiler.desktop: hint: value "Graphics;Development;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
openscada-Protocol.HTTP-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Protocol.SelfSystem-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Protocol.UserProtocol-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Special.FLibSYS-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Special.FLibMath-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Special.FLibComplex1-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Special.SystemTests-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Transport.SSL-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Transport.Sockets-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-Transport.Serial-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.QTCfg-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.QTStarter-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.QTStarter-0.9.1-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/openscada.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
openscada-UI.QTStarter-0.9.1-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/openscada.desktop: hint: value "Graphics;Development;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
openscada-UI.VCAEngine-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.Vision-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.WebCfg-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.WebCfgD-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.WebUser-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-UI.WebVision-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-core-0.9.1-alt1.x86_64
warn
altlinux-find-lang-mo Language specific files in /usr/share/locale should be marked, for example, using %find_lang. See http://www.altlinux.org/FindLangPolicy for details.
openscada-core-0.9.1-alt1.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
openscada-plc-0.9.1-alt1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
openscada-server-0.9.1-alt1.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
otter-browser-1.0.01-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
pcmanfm-1.3.1-alt3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/pcmanfm.desktop: hint: value "System;FileTools;FileManager;Utility;Core;GTK;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
pcmanfm-qt-0.15.1-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/pcmanfm-qt.desktop: hint: value item "FileManager" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: System;FileTools /usr/share/applications/pcmanfm-qt.desktop: warning: value "x-directory/normal;inode/directory;" for key "MimeType" in group "Desktop Entry" contains value "x-directory/normal" which is a MIME type that should probably not be used: "x-directory" is an old media type that should be replaced with a modern equivalent
progsreiserfs-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
progsreiserfs-debuginfo-0.3.0.5-alt4.x86_64
info
missing-url Missing Url: in a package.
pulseaudio-dlna-0.5.2-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/pulseaudio-dlna-0.5.2-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation
python-module-Pyro4-4.75-alt3.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary.
python-module-cloudpickle-0.4.0-alt2.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary.
python-module-dill-0.2.7.1-alt2.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/dill_unpickle.py /usr/bin/get_objgraph.py
python-module-dill-0.2.7.1-alt2.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/dill_unpickle.py /usr/bin/get_objgraph.py
python-module-serial-3.4-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-serial-3.4-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation
python-module-serpent-1.28-alt1.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary.
python-module-sip-devel-4.19.19-alt3.x86_64
warn
altlinux-python-obsolete-buildreq-python-dev python-dev is obsolete according to Python Policy (http://www.altlinux.org/Python_Policy). Please, use BuildRequires: python-devel.
python-module-wx3.0-3.0.2.0-alt2.x86_64
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package python3-module-wx-utils-4.0.7-alt1.x86_64, for example, /usr/bin/img2png (5 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
python3-module-islpy-2018.2.1-alt2.x86_64
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package python3-module-meshpy-2018.2.1-alt2.x86_64, for example, /usr/lib64/python3/site-packages/meshpy/__pycache__/__init__.cpython-37.opt-1.pyc (30 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
qashctl-0.22.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/qashctl.desktop: warning: value "ALSA HCTL mixer" for key "Comment" in group "Desktop Entry" looks redundant with value "ALSA HCTL mixer" of key "GenericName" /usr/share/applications/qashctl.desktop: warning: value "ALSA HCTL mixer" for key "Comment[de]" in group "Desktop Entry" looks redundant with value "ALSA HCTL mixer" of key "GenericName[de]" /usr/share/applications/qashctl.desktop: warning: value "????? ALSA HCTL" for key "Comment[he]" in group "Desktop Entry" looks redundant with value "????? ALSA HCTL" of key "GenericName[he]" /usr/share/applications/qashctl.desktop: warning: value "ALSA HCTL mixer" for key "Comment[it]" in group "Desktop Entry" looks redundant with value "ALSA HCTL mixer" of key "GenericName[it]" /usr/share/applications/qashctl.desktop: warning: value "ALSA HCTL ??????" for key "Comment[ru]" in group "Desktop Entry" looks redundant with value "ALSA HCTL ??????" of key "Gene... [the rest of the message is skipped]
qcustomplot-qt5-2.0.1-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
qelectrotech-0.61-alt3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/qelectrotech.desktop: warning: value "Editor v?kres? elektrick?ch obvod?" for key "Comment[cs]" in group "Desktop Entry" looks redundant with value "Editor v?kres? elektrick?ch obvod?" of key "GenericName[cs]"
qelectrotech-0.61-alt3.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
qhexedit2-0.8.3-alt3.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/qhexedit.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
qhexedit2-qt5-libs-0.8.3-alt3.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
qlipper-5.1.2-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/qlipper.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
qmaster-0.2.3-alt4.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
qslave-1.0.2-alt4.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
qterminal-0.15.0-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/qterminal.desktop: warning: value "Terminal emulator" for key "Comment" in group "Desktop Entry" looks redundant with value "Terminal emulator" of key "GenericName" /usr/share/applications/qterminal.desktop: warning: value "Emulador de terminal" for key "Comment[ca]" in group "Desktop Entry" looks redundant with value "Emulador de terminal" of key "GenericName[ca]" /usr/share/applications/qterminal.desktop: warning: value "Emul?tor termin?lu" for key "Comment[cs]" in group "Desktop Entry" looks redundant with value "Emul?tor termin?lu" of key "GenericName[cs]" /usr/share/applications/qterminal.desktop: warning: value "Emulador de terminal" for key "Comment[es]" in group "Desktop Entry" looks redundant with value "Emulador de terminal" of key "GenericName[es]"
qucs-s-data-0.0.21-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/qucs-s-data-0.0.21-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
rtl-sdr-0.6.0-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
rtlsdr-scanner-1.3.2-alt1.noarch
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/rtlsdr-scanner.desktop: hint: value item "HamRadio" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Network, or Audio
screengrab-2.0.1-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/screengrab.desktop: hint: value item "RasterGraphics" in key "Categories" in group "Desktop Entry" can be extended with another category among the following categories: Graphics;2DGraphics /usr/share/applications/screengrab.desktop: warning: value "Po?izov?n? sn?mk? obrazovky" for key "Comment[cs]" in group "Desktop Entry" looks redundant with value "Po?izov?n? sn?mk? obrazovky" of key "GenericName[cs]"
screenshot-tool-1.6.2-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/io.elementary.screenshot-tool.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
sddm-config-editor-0.1-alt3.20170916.1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/sddm-config-editor.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
sddm-config-editor-0.1-alt3.20170916.1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/sddm-config-editor.desktop: hint: value "Settings;System;Qt;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
shotcut-20.02.02-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/org.shotcut.Shotcut.desktop: warning: value "Video Editor" for key "Comment" in group "Desktop Entry" looks redundant with value "Video Editor" of key "GenericName" /usr/share/applications/org.shotcut.Shotcut.desktop: warning: value "Logiciel de montage vid?o" for key "Comment[fr]" in group "Desktop Entry" looks redundant with value "Logiciel de montage vid?o" of key "GenericName[fr]" /usr/share/applications/org.shotcut.Shotcut.desktop: warning: value "?????????????" for key "Comment[ru]" in group "Desktop Entry" looks redundant with value "?????????????" of key "GenericName[ru]"
spacefm-1.0.6-alt3.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/spacefm-find.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
spacefm-1.0.6-alt3.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/spacefm-folder-handler.desktop: warning: value "Attais?? mapi" for key "Comment[ltg]" in group "Desktop Entry" looks redundant with value "Attais?? mapi" of key "Name[ltg]" desktop-file-validate utility printed the following message(s): /usr/share/applications/spacefm.desktop: hint: value "System;FileTools;Utility;Core;GTK;FileManager;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
sqlgrey-1.6.8-alt2.noarch
fail
init-lsb /etc/rc.d/init.d/sqlgrey: not systemd compatible: lsb init header missing and sqlgrey.service is not present. See http://www.altlinux.org/Services_Policy for details.
sqlgrey-1.6.8-alt2.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
sqlitebrowser-3.10.1-alt1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/sqlitebrowser.desktop: hint: value "Development;Utility;Database;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
syncthing-1.5.0-alt1.x86_64
warn
systemd-but-no-native-init The package have native systemd file(s) but no SysV init scripts.
syncthing-gtk-0.9.4.4-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/syncthing-gtk-0.9.4.4-alt1.noarch.rpm: forbidden requires: /usr/bin/python python-base sisyphus_check: check-deps ERROR: package dependencies violation
syncthing-gtk-0.9.4.4-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/metainfo/me.kozec.syncthingtk.appdata.xml
syncthing-gtk-0.9.4.4-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/metainfo/me.kozec.syncthingtk.appdata.xml
syncthing-gtk-0.9.4.4-alt1.noarch
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
trimage-1.0.6-alt1.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/trimage.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
udev-rules-rfkill-uaccess-1.0-alt1.noarch
info
missing-url Missing Url: in a package.
uhd-3.15.0.0-alt3.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin